QGIS Application - Bug report #10522
Data-defined symbology not working with field names that are valid expressions
2014-06-10 05:21 AM - Martin Dobias

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 18932
Description

When using a field name that is also a valid expression (e.g. "a - b"), the field name is understood to be an expression - which is not
always the case.

The GUI should provide automatic quoting of such fields. This affects both data-defined symbol layer properties and size scale / rotation
field of renderers. Labeling is not affected.

History

#1 - 2015-06-14 09:19 PM - Nyall Dawson
- Status changed from Open to Feedback

Should be resolved in master now - can you confirm?

#2 - 2015-06-23 08:09 AM - Martin Dobias
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

Indeed, this is fixed in master.
